Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.administration
Class AdministrationTool

    java.lang.Object
      org.esupportail.portal.channels.CStockage.administration.AdministrationTool

public class AdministrationTool
extends java.lang.Object

Id: AdministrationTool.java,v 1.0 13 janv. 2005 Copyright (c) 2005 Esup Portail (www.esup-portail.org) Classes: AdministrationTool Original Author: Yohan Colmant This class is a tool used to manage the administration actions

Field Summary
`static java.lang.String` | `ADMINISTRATED_SERVER` If the server into the database is administrated

Constructor Summary
`AdministrationTool()` Constructor

Method Summary
`void` | `addStorageAvailableAdministratedSpace(Server server)` Add a new complete server configuration into the database
`void` | `delStorageAvailableAdministratedServer(Server server)` Delete sharing properties for this server into the database
`java.util.Vector` | `getAdministratedSpaces()` Get the users for whose the resource is shared
`void` | `updateServerNameAvailableSpace(java.lang.String serverId, java.lang.String newName)` Update the name of the server of the sharing properties into the database
`void` | `updateStorageAvailableAdministratedSpace(Server server, boolean changeXml, java.util.Vector addedSpaces, java.util.Vector deletedSpaces, java.util.Vector oldSpacesTargetsChanged, java.util.Vector newSpacesTargetsChanged)` Add a new complete server configuration into the database

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADMINISTRATED_SERVER

    public static final java.lang.String ADMINISTRATED_SERVER

  If the server into the database is administrated

  See Also:
    Constant Field Values

Constructor Detail

### AdministrationTool

    public AdministrationTool()
                       throws PropertiesException

  Constructor

Throws:
  `PropertiesException`

Method Detail

### getAdministratedSpaces

    public java.util.Vector getAdministratedSpaces()
                                            throws DataBaseException,
                                                   PropertiesException,
                                                   ServerException

  Get the users for whose the resource is shared

  Returns:
    the list of the servers
  Throws:
    `DataBaseException`
    `PropertiesException`
    `ServerException`

### addStorageAvailableAdministratedSpace

    public void addStorageAvailableAdministratedSpace(Server server)
                                               throws DataBaseException

  Add a new complete server configuration into the database

  Parameters:
    `server` - the server object containing each space
  Throws:
    `DataBaseException`

### updateStorageAvailableAdministratedSpace

    public void updateStorageAvailableAdministratedSpace(Server server,
                                                         boolean changeXml,
                                                         java.util.Vector addedSpaces,
                                                         java.util.Vector deletedSpaces,
                                                         java.util.Vector oldSpacesTargetsChanged,
                                                         java.util.Vector newSpacesTargetsChanged)
                                                  throws DataBaseException

  Add a new complete server configuration into the database

  Parameters:
    `server` - the server object containing each space
  Throws:
    `DataBaseException`

### delStorageAvailableAdministratedServer

    public void delStorageAvailableAdministratedServer(Server server)
                                                throws DataBaseException

  Delete sharing properties for this server into the database

  Parameters:
    `server` - the server to delete
  Throws:
    `DataBaseException`

### updateServerNameAvailableSpace

    public void updateServerNameAvailableSpace(java.lang.String serverId,
                                               java.lang.String newName)
                                        throws DataBaseException

  Update the name of the server of the sharing properties into the database

  Parameters:
    `serverId` - the id of the server
    `newName` - the new name of the server administration
  Returns:
    the result of the query
  Throws:
    `DataBaseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD